Package org.eclipse.team.core.synchronize

## Class SyncInfoSetChangeEvent

- java.lang.Object
- - org.eclipse.team.core.synchronize.SyncInfoSetChangeEvent

All Implemented Interfaces:
  `ISyncInfoSetChangeEvent`

    public class SyncInfoSetChangeEvent
    extends Object
    implements ISyncInfoSetChangeEvent

This event keeps track of the changes in a `SyncInfoSet`

Since:
  3.5
See Also:
  `SyncInfoSet`

### Constructor Summary

Constructors
`SyncInfoSetChangeEvent​(SyncInfoSet set)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `added​(SyncInfo info)`
`void` `changed​(SyncInfo info)`
`void` `errorOccurred​(ITeamStatus status)`
`SyncInfo[]` `getAddedResources()` Returns newly added out-of-sync `SyncInfo` elements.
`SyncInfo[]` `getChangedResources()` Returns changed `SyncInfo` elements.
`ITeamStatus[]` `getErrors()`
`IResource[]` `getRemovedResources()` Returns the removed `IResource` elements for which the set no longer contains on out-of-sync `SyncInfo`.
`SyncInfoSet` `getSet()` Returns the `SyncInfoSet` that generated these events.
`boolean` `isEmpty()`
`boolean` `isReset()`
`void` `removed​(IResource resource)`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyncInfoSetChangeEvent

    public SyncInfoSetChangeEvent​(SyncInfoSet set)

### Method Detail

#### added

    public void added​(SyncInfo info)

#### removed

    public void removed​(IResource resource)

#### changed

    public void changed​(SyncInfo info)

#### getAddedResources

    public SyncInfo[] getAddedResources()

Description copied from interface: `ISyncInfoSetChangeEvent`
Returns newly added out-of-sync `SyncInfo` elements.

Specified by:
  `getAddedResources` in interface `ISyncInfoSetChangeEvent`
Returns:
  newly added `SyncInfo` elements or an empty list if this event doesn't contain added resources.

#### getChangedResources

    public SyncInfo[] getChangedResources()

Description copied from interface: `ISyncInfoSetChangeEvent`
Returns changed `SyncInfo` elements. The returned elements are still out-of-sync.

Specified by:
  `getChangedResources` in interface `ISyncInfoSetChangeEvent`
Returns:
  changed `SyncInfo` elements or an empty list if this event doesn't contain changes resources.

#### getRemovedResources

    public IResource[] getRemovedResources()

Description copied from interface: `ISyncInfoSetChangeEvent`
Returns the removed `IResource` elements for which the set no longer contains on out-of-sync `SyncInfo`. The returned elements are all in-sync resources.

Specified by:
  `getRemovedResources` in interface `ISyncInfoSetChangeEvent`
Returns:
  removed `SyncInfo` elements or an empty list if this event doesn't contain removed resources.

#### getSet

    public SyncInfoSet getSet()

Description copied from interface: `ISyncInfoSetChangeEvent`
Returns the `SyncInfoSet` that generated these events.

Specified by:
  `getSet` in interface `ISyncInfoSetChangeEvent`
Returns:
  the `SyncInfoSet` that generated these events.

#### reset

    public void reset()

#### isReset

    public boolean isReset()

#### isEmpty

    public boolean isEmpty()

#### errorOccurred

    public void errorOccurred​(ITeamStatus status)

#### getErrors

    public ITeamStatus[] getErrors()